Bug Hunting Session
Bug 52365 - No “Copy” option in spellcheck context menu
Summary: No “Copy” option in spellcheck context menu
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2012-07-22 18:26 UTC by Aravind G
Modified: 2019-09-08 05:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
attachment-10405-0.html (2.78 KB, text/html)
2013-03-07 07:28 UTC, Aravind G
Details
attachment-10405-1.dat (1 bytes, multipart/alternative)
2013-03-07 07:28 UTC, Aravind G
Details
Could only copy correct words1.png (210.97 KB, image/png)
2013-03-07 07:28 UTC, Aravind G
Details
Could only copy correct words2.png (211.18 KB, image/png)
2013-03-07 07:28 UTC, Aravind G
Details
Style donot show super and sub script options.png (223.94 KB, image/png)
2013-03-07 07:28 UTC, Aravind G
Details
needed ODP file with sample matter (16.54 KB, application/vnd.oasis.opendocument.presentation)
2013-09-24 16:18 UTC, Aravind G
Details
needed ODT file with sample matter see also odp (12.05 KB, application/vnd.oasis.opendocument.text)
2013-09-24 16:19 UTC, Aravind G
Details
Problem persists.. not solved.. (138.73 KB, image/png)
2016-04-16 16:10 UTC, Aravind G
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aravind G 2012-07-22 18:26:47 UTC
In a saved presentation. Added a table using 'Insert'->'Table' from menu.
Table design set with different colors.
Added text using direct typing, copy from web pages, other presentations and text documents.
Added new rows and columns. and texts.
Changed font property of certain rows and cells to different size and attributes, certain letters converted to sub and superscripts.
changed the with of both row and column to adjust the space.
the following errors seen.
1. The font attributes of certain cells change automatically while adjusting width and space.
2. The row/column->insert option not seen in the right click menu.
3. to copy a word(Name or special technical word), which is not ignored/included in the dictionary cannot be 'copied' or 'cuted' using right click menu.(not restricted to tables/impress alone)
Comment 1 bfoman (inactive) 2013-03-06 12:38:42 UTC
Could you attach any example documents to allow others to check on different
system/build? Also screenshots before/after would be welcomed.
Comment 2 Aravind G 2013-03-07 07:28:39 UTC
Created attachment 76076 [details]
attachment-10405-0.html

Sir I could not reproduce items 1 and 2.
the screen shots for 3 rd is included(regarding right click menu)
It would be great if different paste options also included in right menu
when available.


On Wed, Mar 6, 2013 at 6:08 PM, <bugzilla-daemon@freedesktop.org> wrote:

>  bfoman <bfo.bugmail@spamgourmet.com> changed bug 52365<https://bugs.freedesktop.org/show_bug.cgi?id=52365>
>  What Removed Added  Status UNCONFIRMED NEEDINFO  CC
> bfo.bugmail@spamgourmet.com  Ever confirmed   1
>
>  *Comment # 1 <https://bugs.freedesktop.org/show_bug.cgi?id=52365#c1> on bug
> 52365 <https://bugs.freedesktop.org/show_bug.cgi?id=52365> from bfoman<bfo.bugmail@spamgourmet.com>
> *
>
> Could you attach any example documents to allow others to check on different
> system/build? Also screenshots before/after would be welcomed.
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 3 Aravind G 2013-03-07 07:28:39 UTC
Created attachment 76077 [details]
attachment-10405-1.dat
Comment 4 Aravind G 2013-03-07 07:28:39 UTC
Created attachment 76078 [details]
Could only copy correct words1.png
Comment 5 Aravind G 2013-03-07 07:28:39 UTC
Created attachment 76079 [details]
Could only copy correct words2.png
Comment 6 Aravind G 2013-03-07 07:28:39 UTC
Created attachment 76080 [details]
Style donot show super and sub script options.png
Comment 7 QA Administrators 2013-09-24 02:01:23 UTC Comment hidden (obsolete)
Comment 8 Aravind G 2013-09-24 16:13:52 UTC
Sir ,
now my first and second errors seems corrected.

But the right click menu of wrong word (word not in dictionary and marked wrong using spell check)if not ignored does not show "copy/cut" option. only correct words that is words in dictinary can be copied or cuted using right click menu. only word correction can be made from right click menu. Actually every thing should be allowed apart from correction(dont force correction).
for eg see screen shot where the word "kerala" or "fgfg" or "Bharath" could not be copied or cut using right click menu attached file name: "Could only copy correct words2.png"	this problem i encounterd with writer also.


Also charecter Position cannot be changed to superscript/subscript using right click menu. see screen shot file. But writer menu contains it. but impress menu dont have. 


sample odp and odt files uploaded
Comment 9 Aravind G 2013-09-24 16:18:15 UTC
Created attachment 86461 [details]
needed ODP file with sample matter
Comment 10 Aravind G 2013-09-24 16:19:27 UTC
Created attachment 86462 [details]
needed ODT file with sample matter see also odp
Comment 11 Aravind G 2013-09-24 16:22:24 UTC
Uses latest Linuxmint maya LTS
Comment 12 Rob Snelders 2013-10-05 11:39:21 UTC
Summary:

When selecting and opening the right-click menu on a "incorrect" word then the dictionary-popup appears. There is no way to copy the word via that menu.

The problem is indeed that the menu-item then doesn't exist. Don't know how to solve it but it should be improved.

A workaround is to press ctrl+c to copy the word when it is selected.
Comment 13 QA Administrators 2015-04-01 14:42:55 UTC Comment hidden (obsolete)
Comment 14 tommy27 2016-04-16 07:25:46 UTC Comment hidden (obsolete)
Comment 15 Aravind G 2016-04-16 16:10:34 UTC
Created attachment 124408 [details]
Problem persists.. not solved..

Problem persists...

Latest official version with linux mint.
Libreoffice Version: 5.0.3.2
Build ID: 1:5.0.3~rc2-0ubuntu1~trusty2
Locale: en-US (en_IN)

OS: latest Linux mint17.3 XFCE
Comment 16 Aravind G 2016-04-16 16:10:59 UTC
Problem persists...

Latest official version with linux mint.
Libreoffice Version: 5.0.3.2
Build ID: 1:5.0.3~rc2-0ubuntu1~trusty2
Locale: en-US (en_IN)

OS: latest Linux mint17.3 XFCE
Comment 17 QA Administrators 2018-06-26 02:45:15 UTC Comment hidden (obsolete)
Comment 18 andreas_k 2018-09-05 17:35:03 UTC
I can't solve this bug but as codepointer I think everything is in

framework/source/uielement/langselectionmenucontroller.hxx
framework/source/uielement/langselectionmenucontroller.cxx

the first question would be should there be added cut, copy, paste?
Comment 19 Heiko Tietze 2018-09-07 13:00:58 UTC
(In reply to Aravind G from comment #0)
> ...
> 1. The font attributes of certain cells change automatically while adjusting
> width and space.

Would be a serious bug, likely reported somewhere else if not fixed meanwhile.

> 2. The row/column->insert option not seen in the right click menu.

There are Col/Row menus with Insert/Delete commands in the context menu now.

> 3. to copy a word(Name or special technical word), which is not
> ignored/included in the dictionary cannot be 'copied' or 'cuted' using right
> click menu.(not restricted to tables/impress alone)

Duplicate of bug 89673, see also bug 90963 and bug 52365.



Removing needsUXEval, QA please consider to close the ticket.
Comment 20 QA Administrators 2019-09-08 05:03:13 UTC
Dear Aravind G,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug